//---------------------------------------------------------------//
// Styles de base : header-page-menu
//---------------------------------------------------------------//

.header-page-menu {
  background-color: $color-bg-header;

  .logo {
    display: flex;

    align-items: center;
    justify-content: center;

    .logo img {
      padding: 30px auto 20px;
    }
  }
}


//---------------------------------------------------------------//
// Styles : .main-nav
//---------------------------------------------------------------//

.main-nav {
  display: flex;

  flex-direction: column;
  align-items: center;

  .show-menu {
    .fa-bars {
      color: $color-text-normal;

      padding-bottom: 30px;
    }
  }

  .toggle-menu {
    display: none;
  }

  .toggle-menu:checked + ul {
    display: block;
  }

  ul.main-menu {
    display: none;

    text-align: center;

    width: 100%;

    list-style: none;

    padding: 0;

    li ul {
      display: none;
    }

    // Survol du menu

    .menu-princ:before,
    .menu-princ:after {
      -webkit-transition: all 0.25s;
      transition: all 0.25s;

      content: "";

      position: absolute;

      width: 24px;
    }

    .menu-princ:before {
      left: 0;
      top: -5px;
    }

    .menu-princ:after {
      bottom: -5px;
      right: 0;
    }

    .menu-princ:hover,
    .menu-princ.hover {
      background-color: $color-text-accent;
      z-index: 900;
    }

    .menu-princ:hover:before,
    .menu-princ.hover:before,
    .menu-princ:hover:after,
    .menu-princ.hover:after {
      width: 100%;
    }

    li:hover ul {
      display: block;

      list-style: none;

      padding: 0;
    }
  }

  a {
    display: block;

    padding: 10px;
  }

  a:hover {
    color: $black;
  }

  i {
    font-size: $fz-logo-mobile;
  }

  .logo {
    display: flex;

    justify-content: center;
    align-items: center;
  }
}

.menu-princ {
  border: none;

  cursor: pointer;

  overflow: hidden;

  border-radius: 23px;

  -webkit-transform: translateZ(0);
  -webkit-transition: all 0.35s ease;
  transition: all 0.35s ease;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.menu-princ:before {
  opacity: 0;

  content: "";

  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

  background-color: $color-bg-page;
}

.menu-princ:hover:before,
.menu-princ.hover:before {
  opacity: 0.4;
}

// Menu à none
.menu-none {
  display: none;
}


//---------------------------------------------------------------//
// Medias queries
//---------------------------------------------------------------//

@media screen and(min-width: $vw-medium) {
  nav.main-nav {
    flex-direction: row;

    justify-content: center;

    .show-menu {
      display: none;
    }

    ul.main-menu {
      display: flex;

      width: auto;

      li {
        position: relative;

        ul {
          position: absolute;
          top: 100%;
          left: 0;

          background-color: $color-bg-dark;

          li {
            z-index: 100;
          }
        }
      }
    }
  }
}

